# norootforbuild

%define soname			8

Name:			libmtp%{soname}
Version:		1.0.0
Release:		3.7
Summary:		Media Transfer Protocol (MTP) Library
# http://prdownloads.sourceforge.net/libmtp/libmtp-%{version}.tar.gz
Source:			libmtp-%{version}.tar.bz2
URL:            http://libmtp.sourceforge.net/
Group:			Productivity/Multimedia/Sound/Players
License:		Lesser General Public License version 2 (LGPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc glibc-devel make doxygen
%if %suse_version >= 1120
BuildRequires:	libusb-compat-devel
%else
BuildRequires:	libusb-devel
%endif
BuildRequires:	autoconf automake libtool
# For backwards compatibility, as the libmtp package doesn't follow
# the Shared Library Policy (at least up to openSUSE 10.3):
Provides:		libmtp = %{version}-%{release} 
Obsoletes:		libmtp
Requires:		libmtp-hal

%description
libmtp is a LGPL library implementation of the Media Transfer Protocol (MTP),
a superset of the Picture Transfer Protocol (PTP).

libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP) in
the form of a library suitable primarily for POSIX compliant operating
systems. We implement MTP Basic, the stuff proposed for standardization.




Authors:
--------
    Linus Walleij <triad@df.lth.se>
    Marcus Meissner <meissner@suse.de>
    Richard Low <richard@wentnet.com>
    Mariusz Woloszyn <emsi@ipartners.pl>

%package -n libmtp-tools
Summary:		Media Transfer Protocol (MTP) Command-Line Tools
Group:			System/Filesystems
Requires:		%{name} = %{version}-%{release}
Conflicts:		libmtp2-tools

%description -n libmtp-tools
libmtp is a LGPL library implementation of the Media Transfer Protocol (MTP),
a superset of the Picture Transfer Protocol (PTP).

libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP) in
the form of a library suitable primarily for POSIX compliant operating
systems. We implement MTP Basic, the stuff proposed for standardization.




Authors:
--------
    Linus Walleij <triad@df.lth.se>
    Marcus Meissner <meissner@suse.de>
    Richard Low <richard@wentnet.com>
    Mariusz Woloszyn <emsi@ipartners.pl>

%package -n libmtp-hal
Summary:		Media Transfer Protocol (MTP) Library
Group:			Productivity/Multimedia/Sound/Players

%description -n libmtp-hal
libmtp is a LGPL library implementation of the Media Transfer Protocol (MTP),
a superset of the Picture Transfer Protocol (PTP).

libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP) in
the form of a library suitable primarily for POSIX compliant operating
systems. We implement MTP Basic, the stuff proposed for standardization.

This package contains the HAL configuration for MTP devices.




Authors:
--------
    Linus Walleij <triad@df.lth.se>
    Marcus Meissner <meissner@suse.de>
    Richard Low <richard@wentnet.com>
    Mariusz Woloszyn <emsi@ipartners.pl>

%package -n libmtp-devel
Summary:		Media Transfer Protocol (MTP) Library
Group:			Development/Libraries/C and C++
Requires:		%{name} = %{version}-%{release}
%if %suse_version >= 1120
Requires:		libusb-compat-devel
%else
Requires:		libusb-devel
%endif
Conflicts:		libmtp2-devel

%description -n libmtp-devel
libmtp is a LGPL library implementation of the Media Transfer Protocol (MTP),
a superset of the Picture Transfer Protocol (PTP).

libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP) in
the form of a library suitable primarily for POSIX compliant operating
systems. We implement MTP Basic, the stuff proposed for standardization.




Authors:
--------
    Linus Walleij <triad@df.lth.se>
    Marcus Meissner <meissner@suse.de>
    Richard Low <richard@wentnet.com>
    Mariusz Woloszyn <emsi@ipartners.pl>

%debug_package
%prep
%setup -q -n "libmtp-%{version}"

%build
aclocal -I m4 --force
automake -a
autoconf --force
export CFLAGS="%{optflags} -fstack-protector"
%configure --program-prefix=mtp-
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/doc"

for bin in "%{buildroot}%{_bindir}"/*; do
	case $bin in
		*/mtp-*) ;;
		*) mv "$bin" "${bin%/*}/mtp-${bin##*/}" ;;
	esac
done

# fix symlinks that point to the buildroot
find "%{buildroot}%{_bindir}/" -lname '%{buildroot}*' \
| while read l; do
    ltarget=$(readlink "$l" | sed 's|^%{buildroot}||g')
    %__rm "$l"
    %__ln_s "$ltarget" "$l"
done

%__install -D -c -m0644 libmtp.fdi "%{buildroot}%{_datadir}/hal/fdi/information/20thirdparty/10-usb-music-players-libmtp.fdi"

%__install -d "%{buildroot}%{_docdir}/%{name}"
for doc in AUTHORS ChangeLog COPYING README TODO; do
	%__install -m0644 "$doc" "%{buildroot}%{_docdir}/%{name}/"
	echo "%doc %{_docdir}/%{name}/${doc}" >> rpm-doc-files
done

%__cp -a doc/html "%{buildroot}%{_docdir}/%{name}/html"

%post   -n libmtp8 -p /sbin/ldconfig

%postun -n libmtp8 -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files -f rpm-doc-files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_libdir}/libmtp.so.%{soname}
%{_libdir}/libmtp.so.%{soname}.*.*

%files -n libmtp-hal
%defattr(-,root,root)
%dir %{_datadir}/hal
%dir %{_datadir}/hal/fdi
%dir %{_datadir}/hal/fdi/information
%dir %{_datadir}/hal/fdi/information/20thirdparty
%config %{_datadir}/hal/fdi/information/20thirdparty/10-usb-music-players-libmtp.fdi

%files -n libmtp-tools
%defattr(-,root,root)
%{_bindir}/mtp-*

%files -n libmtp-devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}/html
%{_includedir}/libmtp.h
%{_libdir}/libmtp.so
%{_libdir}/libmtp.la
%{_libdir}/libmtp.a
%{_libdir}/pkgconfig/libmtp.pc

%changelog
* Sat May 29 2010 Detlef Reichelt <detlef@links2linux.de> 1.0.0-3
- fix libusb (Build)Requires

* Thu Sep 03 2009 Pascal Bleser <pascal.bleser@opensuse.org> 1.0.0-0.pm.1
- update to 1.0.0

* Thu Oct 30 2008 Pascal Bleser <guru@unixtech.be> 0.3.3-0.pm.1
- update to 0.3.3

* Sun Jul  6 2008 Pascal Bleser <guru@unixtech.be> 0.3.0-0.pm.5
- add baselibs.conf
- split HAL configuration files into libmtp-hal subpackage to avoid file conflicts
- bumped .so.7 to 0.2.6.1
- new upstream version (.so.8)

* Sun Dec 23 2007 Pascal Bleser <guru@unixtech.be> 0.2.4-0.pm.4
- added Provides+Obsoletes libmtp in libmtp-tools for clean upgrade from openSUSE libmtp

* Thu Dec 20 2007 Pascal Bleser <guru@unixtech.be> 0.2.4-0.pm.1
- changed splitting of packages, now with individual subpackages per SONAME to
  avoid one big package that contains all the lib*.so.*; also, only build what's
  needed for backwards SONAME compatibility for each openSUSE version 
- new upstream version

* Sat Nov 10 2007 Pascal Bleser <guru@unixtech.be> 0.2.3-0.pm.3
- changed of strategy again, didn't work in 0.pm.2: now the name is
  libmtp, even on 10.3, but it provides libmtp7 for backwards compatibility
  with the previous versions of this package

* Fri Nov  9 2007 Pascal Bleser <guru@unixtech.be> 0.2.3-0.pm.2
- fix compatibility with openSUSE's libmtp package by adding a Provides
  for libmtp -- erroneously thought it was shared lib policy compliant,
  but it isn't; thanks to jengelh for reporting
- added Requires for libmtp-tools in libmtp to be backwards-compatible
  with openSUSE's libmtp

* Fri Oct 26 2007 Pascal Bleser <guru@unixtech.be> 0.2.3-0.pm.1
- bumped soversion to 7, kept .so.6 (0.2.2)
- update to 0.2.3

* Mon Oct 15 2007 Pascal Bleser <guru@unixtech.be> 0.2.2-0.pm.1
- new upstream version, highlights:
  * fixed cancellation of transfers
  * fixed crash on failed connect
  * support for Philips Shoqbox, Trekstor Sweez, Sandisk Sansa,
    Samsung YH-820, Creative Zen 8GB

* Fri Aug 31 2007 Pascal Bleser <guru@unixtech.be> 0.2.1-1.pm.1
- moved to Packman
- shared library policy for 10.3

* Sat Aug 18 2007 Pascal Bleser <guru@unixtech.be> 0.2.1-1
- bumped .so.5 version to 0.1.5 (was 0.1.3)
- build with -fstack-protector on SUSE >= 10.0
- added installation of HAL FDI file
- new upstream version

* Sun Jan 21 2007 Pascal Bleser <guru@unixtech.be> 0.1.3-2
- fixed building against libmtp-devel on SUSE <= 10.0 (removed bogus libusb dependency in pkgconfig file)

* Wed Jan 17 2007 Pascal Bleser <guru@unixtech.be> 0.1.3-1
- I love it, they changed the SONAME *again*...
- new upstream version

* Tue Dec 12 2006 Pascal Bleser <guru@unixtech.be> 0.1.0-2
- fix requiring libusb.pc on SUSE <= 10.0

* Mon Dec 11 2006 Pascal Bleser <guru@unixtech.be> 0.1.0-1
- now includes libmtp.so.4 (0.1.0), libmtp.so.3 (0.0.17) and libmtp.so.2 (0.0.21) to avoid breaking
  backwards compatibility with existing packages that use .so.3 or .so.2; the -devel and -tools
  packages may not be installed in parallel with older versions though, but that shouldn't be an issue
- what a mess...
- new upstream version

* Fri Nov 17 2006 Pascal Bleser <guru@unixtech.be> 0.0.21-1
- new upstream version

* Fri Sep  8 2006 Pascal Bleser <guru@unixtech.be> 0.0.17-1
- new upstream version

* Wed Aug 23 2006 Pascal Bleser <guru@unixtech.be> 0.0.12-1
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
